package com.xhpc.order.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.order.domain.XhpcInspection;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface IXhpcInspectionService {

    Map<String, Object> getInspectionList( Long stationId, String time);

    void timing();

    AjaxResult getInspectionById(Long stationId, String id,Long inspectionId);

    AjaxResult addInspection(HttpServletRequest request, XhpcInspection xhpcInspection);

    List<Map<String, Object>> getStationList(HttpServletRequest request);

    List<Map<String, Object>> getInspectionUserList(HttpServletRequest request);

    Map<String,Object> getDataBoard(HttpServletRequest request);

    List<Map<String, Object>> getStationInspectionList(HttpServletRequest request,String startTime,String endTime);

    List<Map<String, Object>> getStationInspectionDateList( Long stationId, String time);

    Map<String, Object> getStationInspectionMoonList( Long stationId, String time);
}
